ReferenceAgents, threads and templates
Approve (into the catalog) or reject (back to private, with a note) a request to publish (platform admins)
POST
templateId*stringFormat
uuidapplication/json- body
decision*stringValue in
"approve""reject"note?stringShown to the team when rejected
Length
length <= 2000Reviewed
application/json- response
data*curl -X POST 'https://agents.example.com/v1/agent-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/review' \ -H 'Content-Type: application/json' \ -d '{ "decision": "approve"}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "assistant", "name": "string", "description": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "status": "private", "reviewNote": "string", "archived": true, "currentVersion": 0, "agentCount": 0, "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}